Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.save
Class SaveGraphicsService

    java.lang.Object
      org.apache.jmeter.save.SaveGraphicsService

public class SaveGraphicsService
extends Object

Class is responsible for taking a component and saving it as a JPEG, PNG or TIFF. The class is very simple. Thanks to Batik and the developers who worked so hard on it.

Field Summary
`static String` | `JPEG_EXTENSION`
`static int` | `PNG`
`static String` | `PNG_EXTENSION`
`static int` | `TIFF`
`static String` | `TIFF_EXTENSION`

Constructor Summary
`SaveGraphicsService()`

Method Summary
`void` | `saveJComponent(String filename, int type, JComponent component)` Method will save the JComponent as an image.
`void` | `savePNGWithBatik(String filename, BufferedImage image)` Use Batik to save a PNG of the graph
`void` | `saveTIFFWithBatik(String filename, BufferedImage image)` Use Batik to save a TIFF file of the graph

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNG

    public static final int PNG

See Also:
  Constant Field Values

### TIFF

    public static final int TIFF

See Also:
  Constant Field Values

### PNG_EXTENSION

    public static final String PNG_EXTENSION

See Also:
  Constant Field Values

### TIFF_EXTENSION

    public static final String TIFF_EXTENSION

See Also:
  Constant Field Values

### JPEG_EXTENSION

    public static final String JPEG_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### SaveGraphicsService

    public SaveGraphicsService()

Method Detail

### saveJComponent

    public void saveJComponent(String filename,
                               int type,
                               JComponent component)

  Method will save the JComponent as an image. The formats are PNG, and TIFF.

  Parameters:
    `filename` -
    `type` -
    `component` -

### savePNGWithBatik

    public void savePNGWithBatik(String filename,
                                 BufferedImage image)

  Use Batik to save a PNG of the graph

  Parameters:
    `filename` -
    `image` -

### saveTIFFWithBatik

    public void saveTIFFWithBatik(String filename,
                                  BufferedImage image)

  Use Batik to save a TIFF file of the graph

  Parameters:
    `filename` -
    `image` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.